# $Id: x11vnc.spec 5531 2007-06-20 03:38:51Z dag $
# Authority: dag
# Upstream: Karl Runge <xvml$karlrunge,com>

Summary: VNC server for the current X11 session
Name: x11vnc
Version: 0.9.3
Release: 1%{?dist}
License: GPL
Group: User Interface/X
URL: http://www.karlrunge.com/x11vnc/

# Packager: Dag Wieers <dag@wieers.com>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source:	http://dl.sf.net/libvncserver/x11vnc-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libjpeg-devel, zlib-devel
BuildRequires: xorg-x11-proto-devel, libXext-devel, libXtst-devel

%description
x11vnc is to X Window System what WinVNC is to Windows, i.e. a server
which serves the current X Window System desktop via RFB (VNC)
protocol to the user.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%prep
%setup

%build
if pkg-config openssl; then
    export CFLAGS="%{optflags} $(pkg-config --cflags openssl)"
    export LDFLAGS="$LDFLAGS $(pkg-config --libs-only-L openssl)"
#%{?_without_modxorg:export LDFLAGS="$LDFLAGS -L/usr/X11R6/lib"}
fi
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc %{_mandir}/man1/x11vnc.1*
%{_bindir}/x11vnc
%{_datadir}/x11vnc/

%changelog
* Mon Jun 16 2008 J. Randall Owens <jrowens@ghiapet.net> - 0.9.3-1{%dist}
- Rebuild for Fedora 9

* Fri Oct 05 2007 Dag Wieers <dag@wieers.com> - 0.9.3-1 - 5531+/dag
- Updated to release 0.9.3.

* Tue Jun 19 2007 Dag Wieers <dag@wieers.com> - 0.9.2-1
- Updated to release 0.9.2.

* Sat May 26 2007 Dag Wieers <dag@wieers.com> - 0.9.1-1
- Updated to release 0.9.1.

* Fri Apr 20 2007 Dag Wieers <dag@wieers.com> - 0.9-1
- Updated to release 0.9.

* Fri Feb 02 2007 Dag Wieers <dag@wieers.com> - 0.8.4-1
- Updated to release 0.8.4.

* Sun Dec 03 2006 Dries Verachtert <dries@ulyssis.org> - 0.8.3-2
- libXtst-devel added, thanks to Walter Neumann.

* Wed Nov 15 2006 Dag Wieers <dag@wieers.com> - 0.8.3-1
- Updated to release 0.8.3.

* Fri Jul 14 2006 Dag Wieers <dag@wieers.com> - 0.8.2-1
- Updated to release 0.8.2.

* Fri Jun 09 2006 Dag Wieers <dag@wieers.com> - 0.8.1-1
- Updated to release 0.8.1.

* Tue Feb 14 2006 Dag Wieers <dag@wieers.com> - 0.8-1
- Updated to release 0.8.

* Thu Jul 14 2005 Dag Wieers <dag@wieers.com> - 0.7.2-1
- Updated to release 0.7.2.

* Fri Feb 25 2005 Dag Wieers <dag@wieers.com> - 0.7.1-1
- Updated to release 0.7.1.

* Thu Dec 23 2004 Dag Wieers <dag@wieers.com> - 0.7-1
- Updated to release 0.7.

* Mon Aug 02 2004 Dag Wieers <dag@wieers.com> - 0.6.2-1
- Initial package. (using DAR)
